#!/bin/sh

[ "$1" = "-h" ] && cat <<tac

This example tests the following features of the sanitizer:

  - 3rd party scanner routine plugin interface

tac

PERLLIB=../bin/ perl -MAnomy::Sanitizer -e '
    sub scan 
    {
         Anomy::Sanitizer::Log 1, 1, "Bogus scan routine invoked!\n";
	 return 0;
    }
    
    RegisterSanitizerScanner("bogus", \&scan);
    exit(Sanitize(*STDIN, *STDOUT, 
                  "feat_log_inline = 1", 
		  "feat_log_stderr = 0",
		  "feat_testing = 1",
		  "file_list_rules = 1",
		  "header_rev = 0",
		  "feat_files = 1",
		  "file_list_1_scanner = 0:1:2:builtin/bogus",
		  "file_list_1_policy = drop:drop:drop:drop",
		  "file_list_1 = .*"));
' <<EOF 2>test.log >test.out
From xxx@example.com  Thu Aug  3 07:32:10 2000
Return-Path: <xxx@example.com>
Received: from example.com (root@example.com [149.144.245.5])
	by example.com (8.9.3/8.9.3) with ESMTP id HAA01305
	for <bre@example.com>; Thu, 3 Aug 2000 07:32:03 GMT
From: xxx@example.com
Date: Thu, 3 Aug 2000 06:39:59 GMT
Message-Id: <200008030639.GAA23780@example.com>
MIME-Version: 1.0
Sender: xxx@example.com
To: fake@example.com
Subject: Clean multipart/mixed test case
Content-Type: text/plain;

This is a harmless attachment which will get killed.

EOF
echo "*** Exit code was $? ***" >>test.out
